%global upstream_name nose

Name:           python3-nose
Version:        1.3.7
Release:        3%{?dist}
Summary:        Discovery-based unittest extension for Python 3

License:        LGPLv2+ and Public Domain
URL:            https://nose.readthedocs.org/en/latest/
Source0:        http://pypi.python.org/packages/source/n/nose/nose-%{version}.tar.gz

BuildArch:      noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-coverage
BuildRequires: dos2unix

%description
nose extends the test loading and running features of unittest, making
it easier to write, find and run tests.

By default, nose will run tests in files or directories under the
current working directory whose names include "test" or "Test" at a
word boundary (like "test_this" or "functional_test" or "TestClass"
but not "libtest"). Test output is similar to that of unittest, but
also includes captured stdout output from failing tests, for easy
print-style debugging.

These features, and many more, are customizable through the use of
plugins. Plugins included with nose provide support for doctest, code
coverage and profiling, flexible attribute-based test selection,
output capture and more.

This package installs the nose module and nosetests-3 program that can 
discover python3 unittests.

%prep
%setup -q -n %{upstream_name}-%{version}

dos2unix examples/attrib_plugin.py


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install -O1 --single-version-externally-managed --skip-build --root=$RPM_BUILD_ROOT
rm %{buildroot}%{_bindir}/nosetests
mkdir -m 0755 -p %{buildroot}%{_mandir}/man1/
mv %{buildroot}%{_prefix}/man/man1/nosetests.1 %{buildroot}%{_mandir}/man1/nosetests-%{python3_version}.1


%check
export PYTHONPATH=`pwd`/build/lib
%{__python3} setup.py build_tests
# Various selftests fail with Python 3.5; yet nose is needed to rebuild other packages
# (reported upstream as https://github.com/nose-devs/nose/issues/928 \
%{__python3} selftest.py -v


%files -n python3-%{upstream_name}
%doc lgpl.txt AUTHORS CHANGELOG NEWS README.txt doc/*.rst doc/api doc/plugins
%{_bindir}/nosetests-%{python3_version}
%{_mandir}/man1/nosetests-%{python3_version}.1.gz
%{python3_sitelib}/nose*


%changelog
* Mon Oct 17 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 1.3.7-2
- Rebuild for Rutgers CentOS 6
- Remove python3 macros

* Tue Feb 2 2016 Orion Poplawski <orion@cora.nwra.com> - 1.3.7-2
- Fix URL
- Fix long line in description
- Include more documentation

* Wed Dec 30 2015 Orion Poplawski <orion@cora.nwra.com> - 1.3.7-1
- Initial EPEL7 package
